---
license: apache-2.0
tags:
- vision
- depth-estimation
- generated_from_trainer
model-index:
- name: glpn-nyu-finetuned-diode
  results: []
---

<!-- This model card has been generated automatically according to the information the Trainer had access to. You
should probably proofread and complete it, then remove this comment. -->

# glpn-nyu-finetuned-diode

This model is a fine-tuned version of [vinvino02/glpn-nyu](https://huggingface.co/vinvino02/glpn-nyu) on the diode-subset dataset.
It achieves the following results on the evaluation set:
- Loss: 0.8193
- Rmse: 0.8077

## Model description

More information needed

## Intended uses & limitations

More information needed

## Training and evaluation data

More information needed

## Training procedure

### Training hyperparameters

The following hyperparameters were used during training:
- learning_rate: 1e-05
- train_batch_size: 32
- eval_batch_size: 32
- seed: 42
- optimizer: Adam with betas=(0.9,0.999) and epsilon=1e-08
- lr_scheduler_type: linear
- lr_scheduler_warmup_ratio: 0.1
- num_epochs: 10

### Training results

| Training Loss | Epoch | Step | Validation Loss | Rmse   |
|:-------------:|:-----:|:----:|:---------------:|:------:|
| No log        | 1.0   | 10   | 0.9152          | nan    |
| 0.8958        | 2.0   | 20   | 0.8413          | nan    |
| 0.8958        | 3.0   | 30   | 0.7873          | 1.0697 |
| 0.7472        | 4.0   | 40   | 0.7405          | 0.9340 |
| 0.7472        | 5.0   | 50   | 0.7017          | 0.8441 |
| 0.6999        | 6.0   | 60   | 0.6785          | 0.7959 |
| 0.6999        | 7.0   | 70   | 0.6656          | 0.7672 |
| 0.6917        | 8.0   | 80   | 0.6490          | 0.7413 |
| 0.6917        | 9.0   | 90   | 0.6413          | 0.7212 |
| 0.6527        | 10.0  | 100  | 0.6408          | 0.7146 |


### Framework versions

- Transformers 4.24.0
- Pytorch 1.12.1+cu113
- Tokenizers 0.13.2
